#2093 closed defect (fixed)

Node type not always defined in IMFS_mknod()

Reported by: Andreas Heinig Owned by: Sebastian Huber
Priority: normal Milestone: 4.11
Component: fs Version: 4.11
Severity: major Keywords:
Cc: sebastian.huber@… Blocked By:
Blocking:

Description

In some (rare) cases get_type_and_info_by_mode_and_dev() does not define the node type. It only calls IMFS_assert() if the type can't be determined. However, IMFS_assert() is defined as nothing when not building RTEMS with enabled DEBUG. This will maybe result in silent fails, depending on the stack content.

Issue fixed with attached patch.

Attachments (2)

imfs_mknod.patch (709 bytes) - added by Andreas Heinig on Feb 26, 2013 at 1:11:45 PM.
Fixed usage of possibly undefined 'type'
0001-IMFS-PR2093-Fix-warning.patch (1.0 KB) - added by Sebastian Huber on Feb 27, 2013 at 8:30:32 AM.
Warning fix

Download all attachments as: .zip

Change History (6)

Changed on Feb 26, 2013 at 1:11:45 PM by Andreas Heinig

Attachment: imfs_mknod.patch added

Fixed usage of possibly undefined 'type'

comment:1 Changed on Feb 27, 2013 at 8:08:36 AM by Sebastian Huber

Resolution: wontfix
Status: newclosed, sebastian.huber@embedded-brains.de

Changed on Feb 27, 2013 at 8:30:32 AM by Sebastian Huber

Warning fix

comment:2 Changed on Feb 27, 2013 at 8:30:32 AM by Sebastian Huber

attachments.isobsolete: 01
Owner: changed from Chris Johns to Sebastian Huber
Resolution: wontfix
Status: closedreopened

comment:3 Changed on Feb 27, 2013 at 8:55:23 AM by Sebastian Huber

Resolution: fixed
Status: reopenedclosed

comment:4 Changed on Nov 24, 2014 at 6:58:28 PM by Gedare Bloom

Version: HEAD4.11

Replace Version=HEAD with Version=4.11 for the tickets with Milestone >= 4.11

Note: See TracTickets for help on using tickets.